Index: soft/giet_vm/giet_libs/stdio.c
===================================================================
--- soft/giet_vm/giet_libs/stdio.c	(revision 450)
+++ soft/giet_vm/giet_libs/stdio.c	(revision 461)
@@ -542,15 +542,23 @@
 
 ////////////////////////
-void giet_nic_rx_alloc()
-{
-    if ( sys_call( SYSCALL_NIC_RX_ALLOC,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_rx_alloc()");
-}
-
-////////////////////////
-void giet_nic_tx_alloc()
-{
-    if ( sys_call( SYSCALL_NIC_TX_ALLOC,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_tx_alloc()");
+int giet_nic_rx_alloc()
+{
+    int channel = sys_call( SYSCALL_NIC_ALLOC,
+                            1, 
+                            0, 0, 0 );
+    if ( channel < 0 ) giet_exit("error in giet_nic_tx_alloc()");
+
+    return channel;
+}
+
+///////////////////////
+int giet_nic_tx_alloc()
+{
+    int channel = sys_call( SYSCALL_NIC_ALLOC,
+                            0, 
+                            0, 0, 0 );
+    if ( channel < 0 ) giet_exit("error in giet_nic_tx_alloc()");
+
+    return channel;
 }
 
@@ -558,6 +566,7 @@
 void giet_nic_rx_start()
 {
-    if ( sys_call( SYSCALL_NIC_RX_START,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_rx_start()");
+    if ( sys_call( SYSCALL_NIC_START,
+                   1,
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_rx_start()");
 }
 
@@ -565,37 +574,77 @@
 void giet_nic_tx_start()
 {
-    if ( sys_call( SYSCALL_NIC_TX_START,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_tx_start()");
-}
-
-/////////////////////////////////////
-void giet_nic_rx_move( void* buffer )
-{
-    if ( sys_call( SYSCALL_NIC_RX_MOVE,
+    if ( sys_call( SYSCALL_NIC_START,
+                   0, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_tx_start()");
+}
+
+///////////////////////////////////////////////////////////
+void giet_nic_rx_move( unsigned int channel, void* buffer )
+{
+    if ( sys_call( SYSCALL_NIC_MOVE,
+                   1,
+                   channel, 
                    (unsigned int)buffer,
-                   0, 0, 0 ) )  giet_exit("error in giet_nic_rx_move()");
-}
-
-/////////////////////////////////////
-void giet_nic_tx_move( void* buffer )
-{
-    if ( sys_call( SYSCALL_NIC_TX_MOVE,
+                   0 ) )  giet_exit("error in giet_nic_rx_move()");
+}
+
+///////////////////////////////////////////////////////////
+void giet_nic_tx_move( unsigned int channel, void* buffer )
+{
+    if ( sys_call( SYSCALL_NIC_MOVE,
+                   0,
+                   channel, 
                    (unsigned int)buffer,
-                   0, 0, 0 ) )  giet_exit("error in giet_nic_tx_move()");
+                   0 ) )  giet_exit("error in giet_nic_tx_move()");
+}
+
+///////////////////////
+void giet_nic_rx_stop()
+{
+    if ( sys_call( SYSCALL_NIC_STOP,
+                   1, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_rx_stop()");
+}
+
+///////////////////////
+void giet_nic_tx_stop()
+{
+    if ( sys_call( SYSCALL_NIC_STOP,
+                   0, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_tx_stop()");
 }
 
 ////////////////////////
-void giet_nic_rx_stop()
-{
-    if ( sys_call( SYSCALL_NIC_RX_STOP,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_rx_start()");
+void giet_nic_rx_stats()
+{
+    if ( sys_call( SYSCALL_NIC_STATS,
+                   1, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_rx_stats()");
 }
 
 ////////////////////////
-void giet_nic_tx_stop()
-{
-    if ( sys_call( SYSCALL_NIC_TX_STOP,
-                   0, 0, 0, 0 ) ) giet_exit("error in giet_nic_tx_start()");
-}
+void giet_nic_tx_stats()
+{
+    if ( sys_call( SYSCALL_NIC_STATS,
+                   0, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_tx_stats()");
+}
+
+////////////////////////
+void giet_nic_rx_clear()
+{
+    if ( sys_call( SYSCALL_NIC_CLEAR,
+                   1, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_rx_clear()");
+}
+
+////////////////////////
+void giet_nic_tx_clear()
+{
+    if ( sys_call( SYSCALL_NIC_CLEAR,
+                   0, 
+                   0, 0, 0 ) ) giet_exit("error in giet_nic_tx_clear()");
+}
+
 
 
